Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514763 - [abrt] gnome-software: settings_backend_path_changed(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: settings_backend_path_changed(): gnome-software killed...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:62292eabb6aef10e8127d5ec4dd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-18 12:17 UTC by Leslie Satenstein
Modified: 2018-11-30 18:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:18:18 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: cgroup (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: core_backtrace (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: cpuinfo (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: dso_list (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: environ (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: exploitable (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: limits (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: maps (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: mountinfo (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: open_fds (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: proc_pid_status (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details
File: var_log_messages (deleted)
2017-11-18 12:17 UTC, Leslie Satenstein
no flags Details

Description Leslie Satenstein 2017-11-18 12:17:07 UTC
Description of problem:
Did a new installation and chose most groups available.

Version-Release number of selected component:
gnome-software-3.26.1-3.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: settings_backend_path_changed
executable:     /usr/bin/gnome-software
journald_cursor: s=3325c546463c4d7283ef8817f34864c1;i=7ac;b=7d6c1675a80e47b781e1b53726a8ddbe;m=2dfb606;t=55e40c1ecdc01;x=54e5b1852a790926
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 settings_backend_path_changed at gsettings.c:460
 #1 g_settings_backend_invoke_closure at gsettingsbackend.c:267
 #6 g_main_context_iteration at gmain.c:3947
 #7 g_application_run at gapplication.c:2401

Comment 1 Leslie Satenstein 2017-11-18 12:17:12 UTC
Created attachment 1354666 [details]
File: backtrace

Comment 2 Leslie Satenstein 2017-11-18 12:17:13 UTC
Created attachment 1354667 [details]
File: cgroup

Comment 3 Leslie Satenstein 2017-11-18 12:17:14 UTC
Created attachment 1354668 [details]
File: core_backtrace

Comment 4 Leslie Satenstein 2017-11-18 12:17:15 UTC
Created attachment 1354669 [details]
File: cpuinfo

Comment 5 Leslie Satenstein 2017-11-18 12:17:17 UTC
Created attachment 1354670 [details]
File: dso_list

Comment 6 Leslie Satenstein 2017-11-18 12:17:18 UTC
Created attachment 1354671 [details]
File: environ

Comment 7 Leslie Satenstein 2017-11-18 12:17:19 UTC
Created attachment 1354672 [details]
File: exploitable

Comment 8 Leslie Satenstein 2017-11-18 12:17:20 UTC
Created attachment 1354673 [details]
File: limits

Comment 9 Leslie Satenstein 2017-11-18 12:17:22 UTC
Created attachment 1354674 [details]
File: maps

Comment 10 Leslie Satenstein 2017-11-18 12:17:24 UTC
Created attachment 1354675 [details]
File: mountinfo

Comment 11 Leslie Satenstein 2017-11-18 12:17:25 UTC
Created attachment 1354676 [details]
File: open_fds

Comment 12 Leslie Satenstein 2017-11-18 12:17:26 UTC
Created attachment 1354677 [details]
File: proc_pid_status

Comment 13 Leslie Satenstein 2017-11-18 12:17:27 UTC
Created attachment 1354678 [details]
File: var_log_messages

Comment 14 Ben Cotton 2018-11-27 18:11:07 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 18:18:18 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.